aboutsummaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorRobert Piasek <dagger@gentoo.org>2009-02-12 22:44:25 +0000
committerRobert Piasek <dagger@gentoo.org>2009-02-12 22:44:25 +0000
commite66b5e1601ea606ead3749e862f5dab08305f9a8 (patch)
tree6c249d1d826d2b46ee196ccc2bc433de7d3f8536 /eclass
parentinitial commit of shr's openmoko-messages3 (diff)
downloadembedded-cross-e66b5e1601ea606ead3749e862f5dab08305f9a8.tar.gz
embedded-cross-e66b5e1601ea606ead3749e862f5dab08305f9a8.tar.bz2
embedded-cross-e66b5e1601ea606ead3749e862f5dab08305f9a8.zip
Revision bump for EFL libraries
Cleanup of old versions
Diffstat (limited to 'eclass')
-rw-r--r--eclass/enlightenment.eclass32
1 files changed, 32 insertions, 0 deletions
diff --git a/eclass/enlightenment.eclass b/eclass/enlightenment.eclass
new file mode 100644
index 0000000..f5cc74d
--- /dev/null
+++ b/eclass/enlightenment.eclass
@@ -0,0 +1,32 @@
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit autotools subversion
+
+
+ESVN_REPO_URI="http://svn.enlightenment.org/svn/e/trunk$SVN_SUBDIR/${PN}"
+ESVN_REVISION="r39002"
+
+enlightenment_src_unpack() {
+ subversion_src_unpack
+
+ cd "${S}"
+
+ eautoreconf || die "eautoreconf failed"
+}
+
+enlightenment_src_compile() {
+
+ econf || die "econf failed"
+
+ emake || die "emake failed"
+}
+
+enlightenment_src_install () {
+ emake DESTDIR="${D}" install || die "emake install failed"
+ dodoc AUTHORS NEWS README
+
+}
+
+EXPORT_FUNCTIONS src_unpack src_compile src_install \ No newline at end of file